티스토리 뷰

DataGrip DB 도구에서 MariaDB에 연결하여 쿼리 실행 시 아래와 같은 오류가 발생하는 경우가 있습니다.

이 경우 jdbc 드라이버 버전을 변경하면 쉽게 해결이 가능합니다.

Properties 메뉴를 클릭하세요.
Driver 항목의 MariaDB를 클릭하세요.

 

위 스크린샷을 따라 드라이버 관리 메뉴에 들어가면 아래와 같이 드라이버 버전을 변경할 수 있습니다.

 

저는 3.x 버전에서는 모두 동일한 오류가 발생 해 2.7.12를 사용하여 해결했습니다.

 

이 오류는 제가 이전 버전의 DataGrip을 사용중이기 때문에, DataGrip에서 쿼리 실행 시 fetch size를 설정하는 과정에서 최신 드라이버와 호환성이 맞지 않아서 발생한 문제로 추정되어 버전을 바꾸어서 해결하였으나 정확한 원인을 알 수는 없었습니다.